%global momorel 1

Name: ruby-qdbm
Summary: Ruby binding for Quick DataBase Manager
Version: 1.8.61
Release: %{momorel}m
Group: Development/Libraries
Requires: qdbm = %{version}
License: GPL
URL: http://qdbm.sourceforge.net/

%global md5_src0 d8717587912cf31b78f5a9583dfd5cbf
%NoSource 0 http://qdbm.sourceforge.net/qdbm-%{version}.tar.gz %{md5_src0}

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby-devel, qdbm-devel = %{version}

%description
QDBM is an embeded database library compatible with GDBM and NDBM.
It features hash database and B+ tree database and is developed referring
to GDBM for the purpose of the following three points: higher processing
speed, smaller size of a database file, and simpler API.

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q -n qdbm-%{version}

%build
cd ruby
%configure
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
cd ruby
%__make install \
  DESTDIR=%{buildroot} \
  sitelibdir=%{buildroot}%{ruby_libdir} \
  sitearchdir=%{buildroot}%{ruby_archdir} \
  MYBINDIR=%{_bindir} \
  MYDATADIR=%{_datadir}/qdbm/ruby

# remove needless files
rm -rf %{buildroot}%{_datadir}/qdbm

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc ruby/rbspex*.html ruby/rbapidoc
%{_bindir}/rb*
%{ruby_libdir}/*.rb
%{ruby_archdir}/*.so

%changelog
* Tue Jul 18 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.8.61-1m)
- update to 1.8.61 for hyperestraier

* Sun Jun 11 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.8.59-1m)
- update to 1.8.59 for hyperestraier

* Thu May 25 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.8.56-1m)
- update to 1.8.56 for hyperestraier

* Mon Apr 10 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.8.48-1m)
- update to 1.8.48 for hyperestraier

* Thu Mar 09 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.8.46-1m)
- update to 1.8.46 for hyperestraier

* Thu Feb 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.8.45-1m)
- update to 1.8.45 for hyperestraier

* Sun Dec 11 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.8.35-1m)
- update to 1.8.35 for hyperestraier

* Thu Sep 15 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.8.33-1m)
- update to 1.8.33 for hyperestraier

* Tue Jun  7 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.29-1m)
- minor feature enhancements

* Tue Feb  8 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.21-1m)
- minor feature enhancements

* Thu Jan  6 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.20-1m)
- minor feature enhancements

* Sun Nov 14 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.18-1m)
- minor feature enhancements

* Thu Sep 30 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.17-1m)
- the utility API was enhanced

* Fri Aug 20 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.16-1m)
- minor bugfixes

* Thu Aug 12 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.15-1m)

* Mon Aug  9 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.14-2m)
- separate from qdbm package
